// 現在の図面を取得する
var doc = Application.ActiveDocument;

// DrawingChanged イベントのパラメータを取得する
var e = (DrawingChangedEventArgs)EventArgs;

Drawing drawing = e.Drawing;

// 用紙の場合
if(drawing is Paper)
{
    Paper paper = (Paper)drawing;
    // 印刷設定の印刷の向きが用紙の向きと合っていない場合
    if(paper.Landscape != doc.PrintSettings.Landscape)
    {
        // 印刷設定の印刷の向きを用紙の向きに合わせる
        doc.PrintSettings.Landscape = paper.Landscape;
    }
}